#pragma once

/*
* IOutlookExtCallback
*
* Purpose:
*  Resource interface that may be used by Outlook client extensions.
*/
#undef INTERFACE
#define INTERFACE  IOutlookExtCallback

DECLARE_INTERFACE_(IOutlookExtCallback, IUnknown)
{
BEGIN_INTERFACE
    // *** IUnknown methods ***
    STDMETHOD(QueryInterface) (THIS_ REFIID riid, LPVOID FAR * lppvObj) PURE;
    STDMETHOD_(ULONG,AddRef) (THIS)  PURE;
    STDMETHOD_(ULONG,Release) (THIS) PURE;

    // *** IOutlookExtCallback methods ***
    STDMETHOD(GetObject) (THIS_ IUnknown FAR *FAR *ppunk) PURE;
    STDMETHOD(GetOfficeCharacter) (THIS_ void FAR *FAR *ppmsotfc) PURE;
};
typedef IOutlookExtCallback* LPOUTLEXTCALLBACK;

DEFINE_GUID(IID_IOutlookExtCallback, 0x0006720D, 0, 0, 0xC0,0,0,0,0,0,0,0x46);

/*
* IOutlookExtItemEvents
*
* Purpose:
*  Resource interface that may be used by Outlook client extensions.
*/
#undef INTERFACE
#define INTERFACE  IOutlookExtItemEvents

DECLARE_INTERFACE_(IOutlookExtItemEvents, IUnknown)
{
BEGIN_INTERFACE
    // *** IUnknown methods ***
    STDMETHOD(QueryInterface) (THIS_ REFIID riid, LPVOID FAR * lppvObj) PURE;
    STDMETHOD_(ULONG,AddRef) (THIS)  PURE;
    STDMETHOD_(ULONG,Release) (THIS) PURE;

    // *** IOutlookExtItemEvents methods ***
    STDMETHOD(OnOpen) (THIS_ IExchExtCallback FAR *peecb) PURE;
    STDMETHOD(OnOpenComplete) (THIS_ IExchExtCallback FAR *peecb, ULONG ulFlags) PURE;
    STDMETHOD(OnClose) (THIS_ IExchExtCallback FAR *peecb, ULONG ulSaveOptions) PURE;
    STDMETHOD(OnCloseComplete) (THIS_ IExchExtCallback FAR *peecb, ULONG ulFlags) PURE;
};
typedef IOutlookExtItemEvents* LPOUTLEXTITEMEVENTS;

DEFINE_GUID(IID_IOutlookExtItemEvents, 0x0006723A, 0, 0, 0xC0,0,0,0,0,0,0,0x46);